# canvasGroup

Field in [LineView](/2.5/api/csharp/yarn.unity/yarn.unity.lineview.md)

## Summary

The canvas group that contains the UI elements used by this Line View.

```csharp
public CanvasGroup canvasGroup;
```

## Remarks

If [useFadeEffect](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.usefadeeffect.md) is true, then the alpha value of this `UnityEngine.CanvasGroup` will be animated during line presentation and dismissal.

## See Also

* [LineView.useFadeEffect](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.usefadeeffect.md): Controls whether the line view should fade in when lines appear, and fade out when lines disappear.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.canvasgroup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
